de.esprit.netsuite.client.gui.web

## Class UrlStack

- java.lang.Object
- - de.esprit.common.util.DumpableObject
  - - de.esprit.netsuite.client.gui.web.UrlStack

- All Implemented Interfaces:
    Dumpable, UrlStackEvent.Source

      public class UrlStack
      extends DumpableObject
      implements UrlStackEvent.Source

  This is a cache for URLs that have been accessed already
  Author:
    Rainer Buesch

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `UrlStack(int maxSize)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `add(java.lang.String url)`
    `void` | `addUrlStackListener(UrlStackEvent.Listener l)`
    `java.lang.String` | `get(int index)`
    `int` | `getCurrentIndex()`
    `int` | `getSize()`
    `java.lang.String` | `next()`
    `java.lang.String` | `previous()`
    `void` | `remove(java.lang.String url)`
    `void` | `removeUrlStackListener(UrlStackEvent.Listener l)`

    - ### Methods inherited from class de.esprit.common.util.DumpableObject

      `configureDumpHeadlineLength, configureDumpMaxElementsPrinted, copyDumpStringValues, copyToStringValues, createDumpHeader, toDumpString, toDumpString, toString, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### UrlStack

          public UrlStack(int maxSize)

  - ### Method Detail

    - #### getSize

          public int getSize()

    - #### add

          public void add(java.lang.String url)

    - #### remove

          public void remove(java.lang.String url)

    - #### next

          public java.lang.String next()

    - #### previous

          public java.lang.String previous()

    - #### get

          public java.lang.String get(int index)

    - #### getCurrentIndex

          public int getCurrentIndex()

    - #### addUrlStackListener

          public void addUrlStackListener(UrlStackEvent.Listener l)

      Specified by:
        `addUrlStackListener` in interface `UrlStackEvent.Source`

    - #### removeUrlStackListener

          public void removeUrlStackListener(UrlStackEvent.Listener l)

      Specified by:
        `removeUrlStackListener` in interface `UrlStackEvent.Source`

Copyright © 2014 EsprIT-Systems. All Rights Reserved.